Registrar push VoIP para um ramal (UPSERT idempotente)
curl --request POST \
--url http://0.0.0.0:3000/v1/voip/push-registrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_id": "b1c2d3e4-...",
"voip_account_id": 42,
"push_token": "a3f9c2...",
"platform": "ios",
"bundle_id": "com.unicontrol.portal",
"environment": "production"
}
'import requests
url = "http://0.0.0.0:3000/v1/voip/push-registrations"
payload = {
"device_id": "b1c2d3e4-...",
"voip_account_id": 42,
"push_token": "a3f9c2...",
"platform": "ios",
"bundle_id": "com.unicontrol.portal",
"environment": "production"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device_id: 'b1c2d3e4-...',
voip_account_id: 42,
push_token: 'a3f9c2...',
platform: 'ios',
bundle_id: 'com.unicontrol.portal',
environment: 'production'
})
};
fetch('http://0.0.0.0:3000/v1/voip/push-registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"voip_account_id": 42,
"config_entry_id": 128,
"org_id": "org_xyz",
"platform": "ios",
"push_token": "a3f9c2...",
"bundle_id": "com.unicontrol.portal",
"environment": "production",
"created_at": "2026-09-25T10:00:00Z",
"updated_at": "2026-09-25T10:00:00Z"
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}{
"message": "not found"
}VoIP
Registrar push VoIP para um ramal (UPSERT idempotente)
POST
/
v1
/
voip
/
push-registrations
Registrar push VoIP para um ramal (UPSERT idempotente)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
ID da organização para contexto (opcional). Quando presente, filtra recursos da org.
Body
application/json
UUID estável do device (mesmo de /v1/mobile_app/register)
ID do ramal em voip_accounts
Token PushKit (iOS) / FCM (Android, Fase 2)
Available options:
ios, android Example:
"com.unicontrol.portal"
Só iOS. App envia explicitamente porque bundle_id não distingue.
Available options:
sandbox, production Response
Registration criada ou atualizada